# DaoMoveHelper Class Reference
[Various accompanying utilities]

Inheritance diagram for DaoMoveHelper:
[legend]

List of all members.

## Static Public Member Functions

static | setNullValue ($nullValue)
static | setProperty ($property)
static | up (DAOConnected $object, LogicalObject $exp=null)
static | down (DAOConnected $object, LogicalObject $exp=null)

## Static Private Attributes

static | $nullValue = 0
static | $property = 'position'

## Detailed Description

Definition at line 15 of file DaoMoveHelper.class.php.

## Member Function Documentation

static DaoMoveHelper::down | ( | DAOConnected $ | object,
|  | LogicalObject $ | exp = `null` |
| ) |  |  | `[static]`

Definition at line 67 of file DaoMoveHelper.class.php.

References OrderBy::create(), Criteria::create(), DAOConnected::dao(), Expression::gt(), Assert::isTrue(), setNullValue(), and DaoUtils::swap().

Here is the call graph for this function:

static DaoMoveHelper::setNullValue | ( | $ | nullValue | ) | `[static]`

Definition at line 20 of file DaoMoveHelper.class.php.

References $nullValue.

Referenced by down(), and up().

static DaoMoveHelper::setProperty | ( | $ | property | ) | `[static]`

Definition at line 25 of file DaoMoveHelper.class.php.

References $property.

static DaoMoveHelper::up | ( | DAOConnected $ | object,
|  | LogicalObject $ | exp = `null` |
| ) |  |  | `[static]`

Definition at line 30 of file DaoMoveHelper.class.php.

References OrderBy::create(), Criteria::create(), DAOConnected::dao(), Assert::isTrue(), Expression::lt(), setNullValue(), and DaoUtils::swap().

Here is the call graph for this function:

## Member Data Documentation

DaoMoveHelper::$nullValue = 0`[static, private]`

Definition at line 17 of file DaoMoveHelper.class.php.

Referenced by setNullValue().

DaoMoveHelper::$property = 'position'`[static, private]`

Definition at line 18 of file DaoMoveHelper.class.php.

Referenced by setProperty().

The documentation for this class was generated from the following file:

- main/Utils/DaoMoveHelper.class.php